## limiter 0.1.2

=== requirements.txt ===
token-bucket==0.2.0

=== debian/changelog ===
limiter (0.1.2-0parrot1) lory; urgency=medium

  * Rebuild for Parrot 6.0.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Thu, 07 Sep 2023 02:01:15 +0200

limiter (0.1.2-0kali1) kali-dev; urgency=medium

  * Initial release

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 07 Oct 2021 11:14:59 +0200

=== debian/control ===
Source: limiter
Section: python
Priority: optional
Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-setuptools,
               python3-token-bucket
Standards-Version: 4.6.0
Homepage: https://github.com/alexdelorenzo/limiter
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python3-limiter
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Rate-limiting thread-safe and asynchronous decorators (Python 3)
 This package contains rate-limiting thread-safe and asynchronous decorators
 and context managers that implement the token-bucket algorithm.
 .
    * Thread-safe, with no need for a timer thread
    * Control burst requests
    * Control average request rate
 .
 This package installs the library for Python 3.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1

export PYBUILD_NAME=limiter

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%limiter-$1.tar.gz%" \
   https://github.com/alexdelorenzo/limiter/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
